commit: ebd68ecf9d5d980241e7f6b09e899b04ceaf99df
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 17 06:29:01 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 17 06:29:01 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebd68ecf
dev-python/python-augeas: EAPI=8, PEP517
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
.../python-augeas/python-augeas-1.1.0-r1.ebuild | 30 ++++++++++++++++++++++
1 file changed, 30 insertions(+)
diff --git a/dev-python/python-augeas/python-augeas-1.1.0-r1.ebuild
b/dev-python/python-augeas/python-augeas-1.1.0-r1.ebuild
new file mode 100644
index 000000000000..a0fc746e68df
--- /dev/null
+++ b/dev-python/python-augeas/python-augeas-1.1.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for Augeas"
+HOMEPAGE="http://augeas.net/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ app-admin/augeas
+ >=dev-python/cffi-1.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/remove-tests.patch" )
+
+python_test() {
+ cd test || die
+ "${EPYTHON}" test_augeas.py || die "Tests failed with ${EPYTHON}"
+}